aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--\35
-rw-r--r--flake.lock24
-rw-r--r--flake.nix1
-rw-r--r--modules/tools/bottom/default.nix2
-rw-r--r--modules/tools/git/default.nix4
-rw-r--r--modules/tools/kitty/default.nix20
-rw-r--r--modules/tools/librewolf/default.nix9
-rw-r--r--modules/tools/nixvim/plugins/treesitter.nix4
-rw-r--r--modules/tools/rofi/default.nix2
-rw-r--r--modules/tools/tmux/default.nix2
-rw-r--r--modules/tools/zsh/default.nix2
11 files changed, 38 insertions, 67 deletions
diff --git a/\ b/\
deleted file mode 100644
index a5f566d..0000000
--- a/\
+++ /dev/null
@@ -1,35 +0,0 @@
-set -euo pipefail
-
-stop_daemon() {
- echo "Killing warp-svc process..."
- sudo pkill -x warp-svc
- echo "warp-svc is not running."
-}
-
-disconnect_client() {
- echo "Disconnecting from WARP..."
- if warp-cli status 2>&1 | grep -qi "Connected"; then
- sudo warp-cli disconnect
- echo "Disconnected."
- else
- echo "WARP is already disconnected."
- fi
-}
-
-main() {
- if [[ -t 2 ]]; then
- echo -e "\e[31mERROR:\e[0m Must be run as root" >&2
- else
- echo "ERROR: Must be run as root" >&2
- fi
-
- disconnect_client
- stop_daemon
-
- echo "Final status:"
- warp-cli status || true
- sudo systemd-resolve --flush-caches
- sudo systemctl restart systemd-resolved
-}
-
-main "$@"
diff --git a/flake.lock b/flake.lock
index c943f88..acf0578 100644
--- a/flake.lock
+++ b/flake.lock
@@ -62,11 +62,11 @@
]
},
"locked": {
- "lastModified": 1765980955,
- "narHash": "sha256-rB45jv4uwC90vM9UZ70plfvY/2Kdygs+zlQ07dGQFk4=",
+ "lastModified": 1768434960,
+ "narHash": "sha256-cJbFn17oyg6qAraLr+NVeNJrXsrzJdrudkzI4H2iTcg=",
"owner": "nix-community",
"repo": "home-manager",
- "rev": "89c9508bbe9b40d36b3dc206c2483ef176f15173",
+ "rev": "b4d88c9ac42ae1a745283f6547701da43b6e9f9b",
"type": "github"
},
"original": {
@@ -78,11 +78,11 @@
},
"nixpkgs": {
"locked": {
- "lastModified": 1765779637,
- "narHash": "sha256-KJ2wa/BLSrTqDjbfyNx70ov/HdgNBCBBSQP3BIzKnv4=",
+ "lastModified": 1768305791,
+ "narHash": "sha256-AIdl6WAn9aymeaH/NvBj0H9qM+XuAuYbGMZaP0zcXAQ=",
"owner": "nixos",
"repo": "nixpkgs",
- "rev": "1306659b587dc277866c7b69eb97e5f07864d8c4",
+ "rev": "1412caf7bf9e660f2f962917c14b1ea1c3bc695e",
"type": "github"
},
"original": {
@@ -94,11 +94,11 @@
},
"nixpkgs_2": {
"locked": {
- "lastModified": 1766025857,
- "narHash": "sha256-Lav5jJazCW4mdg1iHcROpuXqmM94BWJvabLFWaJVJp0=",
+ "lastModified": 1767026758,
+ "narHash": "sha256-7fsac/f7nh/VaKJ/qm3I338+wAJa/3J57cOGpXi0Sbg=",
"owner": "NixOS",
"repo": "nixpkgs",
- "rev": "def3da69945bbe338c373fddad5a1bb49cf199ce",
+ "rev": "346dd96ad74dc4457a9db9de4f4f57dab2e5731d",
"type": "github"
},
"original": {
@@ -115,11 +115,11 @@
"systems": "systems"
},
"locked": {
- "lastModified": 1766148816,
- "narHash": "sha256-rcyaKzrFhkMHCQlC/dm5dR3vwIAGvUXOXoEZRIPGo0I=",
+ "lastModified": 1767906546,
+ "narHash": "sha256-AoSWS8+P+7hQ/jIdv0wBjgH1MvnerdWBFXO4GV3JoQs=",
"owner": "nix-community",
"repo": "nixvim",
- "rev": "0ef5923c84d74ff03914940190a8ab167c2db724",
+ "rev": "7eb8f36f085b85a2aeff929aff52d0f6aa14e000",
"type": "github"
},
"original": {
diff --git a/flake.nix b/flake.nix
index 5539b65..049a63a 100644
--- a/flake.nix
+++ b/flake.nix
@@ -29,7 +29,6 @@
}
nixvim.homeModules.nixvim
];
- minimal = true;
};
};
};
diff --git a/modules/tools/bottom/default.nix b/modules/tools/bottom/default.nix
index 5f4f438..c307047 100644
--- a/modules/tools/bottom/default.nix
+++ b/modules/tools/bottom/default.nix
@@ -1,4 +1,4 @@
-{ config, pkgs, lib, ... }:
+{ config, lib, ... }:
{
options.tools.bottom = {
diff --git a/modules/tools/git/default.nix b/modules/tools/git/default.nix
index fc90cef..dc563ea 100644
--- a/modules/tools/git/default.nix
+++ b/modules/tools/git/default.nix
@@ -5,11 +5,11 @@
enable = lib.mkEnableOption "Enables git.";
username = lib.mkOption {
type = lib.types.str;
- description = "Github username.";
+ description = "Git username.";
};
email = lib.mkOption {
type = lib.types.str;
- description = "Github email.";
+ description = "Git email.";
};
};
diff --git a/modules/tools/kitty/default.nix b/modules/tools/kitty/default.nix
index fa7b727..f5f7ec8 100644
--- a/modules/tools/kitty/default.nix
+++ b/modules/tools/kitty/default.nix
@@ -22,16 +22,16 @@
background = base00;
foreground = base05;
- color0 = base00;
- color1 = base08;
- color2 = base0B;
- color3 = base0A;
- color4 = base0D;
- color5 = base0E;
- color6 = base0C;
- color7 = base05;
- color8 = base03;
- color9 = base09;
+ color0 = base00;
+ color1 = base08;
+ color2 = base0B;
+ color3 = base0A;
+ color4 = base0D;
+ color5 = base0E;
+ color6 = base0C;
+ color7 = base05;
+ color8 = base03;
+ color9 = base09;
color10 = base0B;
color11 = base0A;
color12 = base0D;
diff --git a/modules/tools/librewolf/default.nix b/modules/tools/librewolf/default.nix
index 39f790c..bb6bcfd 100644
--- a/modules/tools/librewolf/default.nix
+++ b/modules/tools/librewolf/default.nix
@@ -17,15 +17,18 @@
isDefault = true;
settings = {
"extensions.autoDisableScopes" = 0;
- "extensions.activeThemeID" = "firefox-compact-dark@mozilla.org"; # Use default dark theme until Black gets installed
+ # Use default dark theme until Black gets installed
+ "extensions.activeThemeID" = "firefox-compact-dark@mozilla.org";
"sidebar.verticalTabs" = true;
"sidebar.visibility" = "always-show";
"sidebar.verticalTabs.dragToPinPromo.dismissed" = true;
"layout.css.devPixelsPerPx" = 1.1;
- "layout.css.prefers-color-scheme.content-override" = 0; # Dark
+ # Dark
+ "layout.css.prefers-color-scheme.content-override" = 0;
"browser.toolbars.bookmarks.visibility" = "newtab";
+ # Tridactyl
"browser.startup.homepage"
- = "moz-extension://8cb32547-41c0-4839-bec4-a4c08b4d267b/static/newtab.html"; # Tridactyl
+ = "moz-extension://8cb32547-41c0-4839-bec4-a4c08b4d267b/static/newtab.html";
"browser.startup.page" = 2;
"sidebar.expandOnHover" = false;
"sidebar.animation.enabled" = false;
diff --git a/modules/tools/nixvim/plugins/treesitter.nix b/modules/tools/nixvim/plugins/treesitter.nix
index 9e2ec1d..f13c84e 100644
--- a/modules/tools/nixvim/plugins/treesitter.nix
+++ b/modules/tools/nixvim/plugins/treesitter.nix
@@ -3,7 +3,9 @@
{
config.programs.nixvim.plugins.treesitter = lib.mkIf config.tools.nixvim.enable {
enable = true;
- folding = true;
+ folding = {
+ enable = true;
+ };
settings = {
highlight = { enable = true; };
indent = { enable = true; };
diff --git a/modules/tools/rofi/default.nix b/modules/tools/rofi/default.nix
index 7dc0f12..78c1614 100644
--- a/modules/tools/rofi/default.nix
+++ b/modules/tools/rofi/default.nix
@@ -1,4 +1,4 @@
-{ pkgs, lib, config, ... }:
+{ lib, config, ... }:
{
options.tools.rofi = {
diff --git a/modules/tools/tmux/default.nix b/modules/tools/tmux/default.nix
index c72696f..8e15690 100644
--- a/modules/tools/tmux/default.nix
+++ b/modules/tools/tmux/default.nix
@@ -1,4 +1,4 @@
-{ config, pkgs, lib, ... }:
+{ config, lib, ... }:
{
options.tools.tmux = {
diff --git a/modules/tools/zsh/default.nix b/modules/tools/zsh/default.nix
index e508509..ac147e3 100644
--- a/modules/tools/zsh/default.nix
+++ b/modules/tools/zsh/default.nix
@@ -17,5 +17,7 @@ else ""}
${builtins.readFile ./zshrc}
'';
};
+
+ home.sessionVariables.SHELL = "${pkgs.zsh}/bin/zsh";
};
}